## dextractor 1.0

=== Makefile ===
PATH_HDF5 = /sw/apps/hdf5/current
PATH_HDF5 = /usr/local/hdf5
CFLAGS = -O3 -Wall -Wextra -fno-strict-aliasing

all: dextract dexta undexta dexqv undexqv

dextract: dextract.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -I$(PATH_HDF5)/include -L$(PATH_HDF5)/lib -o dextract dextract.c DB.c QV.c -lhdf5

dexta: dexta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o dexta dexta.c DB.c QV.c

undexta: undexta.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o undexta undexta.c DB.c QV.c

dexqv: dexqv.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o dexqv dexqv.c DB.c QV.c

undexqv: undexqv.c DB.c DB.h QV.c QV.h
	gcc $(CFLAGS) -o undexqv undexqv.c DB.c QV.c

clean:
	rm -f dextract dexta undexta dexqv undexqv dextract.tar.gz
	rm -fr *.dSYM
	rm -f dextract.tar.gz

install:
	cp dextract dexta undexta dexqv undexqv ~/bin

package:
	make clean
	tar -zcf dextract.tar.gz README Makefile *.c *.h

=== debian/changelog ===
dextractor (1.0-7) unstable; urgency=medium

  * d/rules: activate binaries hardening.
  * build-flags.patch: new: propagate build flags. (Closes: #1119391)
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Thu, 20 Nov 2025 21:33:24 +0100

dextractor (1.0-6) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 03 Nov 2022 12:49:08 +0100

dextractor (1.0-5) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 07 Oct 2021 09:55:42 +0200

dextractor (1.0-4) unstable; urgency=medium

  * Team Upload.
  * Do not hardcode architecture compiler name, use $(CC) instead
  * d/rules: Do not hardcode $(MAKE)

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 18 Feb 2021 17:32:19 +0000

dextractor (1.0-3) unstable; urgency=medium

  * Use DEB_HOST_MULTIARCH to find libhdf5 libraries correctly on different
    archs

 -- Shayan Doust <hello@shayandoust.me>  Mon, 27 Jul 2020 17:05:52 +0100

dextractor (1.0-2) unstable; urgency=medium

  * Team upload.
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Jul 2020 14:37:31 +0200

dextractor (1.0-1) unstable; urgency=medium

  * Initial release (Closes: #963981)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 29 Jun 2020 15:57:06 +0100

=== debian/control ===
Source: dextractor
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>,
           Étienne Mollier <emollier@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libhdf5-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/dextractor
Vcs-Git: https://salsa.debian.org/med-team/dextractor.git
Homepage: https://github.com/thegenemyers/DEXTRACTOR

Package: dextractor
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: (d)extractor and compression command library
 Dextractor commands allow one to pull exactly and only the
 information needed for assembly and reconstruction from the source HDF5
 files produced by the PacBio RS II sequencer, or from the source BAM
 files produced by the PacBio Sequel sequencer.
 .
 For each of the three extracted file types -- fasta, quiva, and
 arrow -- the library contains commands to compress the given file
 type, and to decompress it, which is a reversible process delivering
 the original uncompressed file. The compressed .fasta files, with the
 extension .dexta, consume 1/4 byte per base. The compressed .quiva
 files, with the extension .dexqv, consume 1.5 bytes per base on
 average, and the compressed .arrow files, with the extension .dexar,
 consume 1/4 byte per base
 .
 For more information, please view the available documentation at
 https://github.com/thegenemyers/DEXTRACTOR

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
	dh_auto_build -- ARGS="-I/usr/include/hdf5/serial -L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial"
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf bin

=== debian/watch ===
Version: 5

Template: Github
Owner: thegenemyers
Project: DEXTRACTOR
